This CPE summary could be partial or incomplete. Please contact us for a detailed listing.

Summary

Detail
Vendor Thimpress First view 2019-01-09
Product Learnpress Last view 2021-10-18
Version * Type Application
Update *  
Edition *  
Language *  
Sofware Edition *  
Target Software wordpress  
Target Hardware *  
Other *  
 
CPE Product cpe:2.3:a:thimpress:learnpress

Activity : Overall

Related : CVE

  Date Alert Description
4.8 2021-10-18 CVE-2021-24702

The LearnPress WordPress plugin before 4.1.3.1 does not properly sanitize or escape various inputs within course settings, which could allow high privilege users to perform Cross-Site Scripting attacks when the unfiltred_html capability is disallowed

8.1 2021-07-30 CVE-2020-11511

The LearnPress plugin before 3.2.6.9 for WordPress allows remote attackers to escalate the privileges of any user to LP Instructor via the accept-to-be-teacher action parameter.

8.8 2020-04-30 CVE-2020-6010

LearnPress Wordpress plugin version prior and including 3.2.6.7 is vulnerable to SQL Injection

6.5 2020-03-16 CVE-2020-7916

be_teacher in class-lp-admin-ajax.php in the LearnPress plugin 3.2.6.5 and earlier for WordPress allows any registered user to assign itself the teacher role via the wp-admin/admin-ajax.php?action=learnpress_be_teacher URI without any additional permission checks. Therefore, any user can change its role to an instructor/teacher and gain access to otherwise restricted data.

7.2 2019-01-09 CVE-2018-16175

SQL injection vulnerability in the LearnPress prior to version 3.1.0 allows attacker with administrator rights to execute arbitrary SQL commands via unspecified vectors.

6.1 2019-01-09 CVE-2018-16174

Open redirect vulnerability in LearnPress prior to version 3.1.0 allows remote attackers to redirect users to arbitrary web sites and conduct phishing attacks via unspecified vectors.

6.1 2019-01-09 CVE-2018-16173

Cross-site scripting vulnerability in LearnPress prior to version 3.1.0 allows remote attackers to inject arbitrary web script or HTML via unspecified vectors.

CWE : Common Weakness Enumeration

%idName
28% (2) CWE-269 Improper Privilege Management
28% (2) CWE-89 Improper Sanitization of Special Elements used in an SQL Command ('...
28% (2) CWE-79 Failure to Preserve Web Page Structure ('Cross-site Scripting')
14% (1) CWE-601 URL Redirection to Untrusted Site ('Open Redirect')